lgeMatrix-class {Matrix} | R Documentation

## Class "lgeMatrix" of General Dense Logical Matrices

### Description

This is the class of general dense `logical` matrices.

### Slots

`x`:

  Object of class `"logical"`. The logical values that constitute the matrix, stored in column-major order.

`Dim`,`Dimnames`:

  The dimension (a length-2 `"integer"`) and corresponding names (or `NULL`), see the `Matrix` class.

`factors`:

  Object of class `"list"`. A named list of factorizations that have been computed for the matrix.

### Extends

Class `"ldenseMatrix"`, directly. Class `"lMatrix"`, by class `"ldenseMatrix"`. Class `"denseMatrix"`, by class `"ldenseMatrix"`. Class `"Matrix"`, by class `"ldenseMatrix"`. Class `"Matrix"`, by class `"ldenseMatrix"`.

### Methods

Currently, mainly `t()` and coercion methods (for `as(.)`); use, e.g., `showMethods(class="lgeMatrix")` for details.

### See Also

Non-general logical dense matrix classes such as `ltrMatrix`, or `lsyMatrix`; sparse logical classes such as `lgCMatrix`.

### Examples

    showClass("lgeMatrix")
    str(new("lgeMatrix"))
    set.seed(1)
    (lM <- Matrix(matrix(rnorm(28), 4,7) > 0))# a simple random lgeMatrix
    set.seed(11)
    (lC <- Matrix(matrix(rnorm(28), 4,7) > 0))# a simple random lgCMatrix
    as(lM, "lgCMatrix")

[Package Matrix version 1.2-7.1 Index]